Android Armv5 error?

Discussion in 'GameMaker Studio 2 Community Tech Support' started by Bariard, Feb 8, 2019.

  1. Bariard

    Bariard Member

    Joined:
    Jan 23, 2019
    Posts:
    7
    Hello,

    Thank you for your time, this might be a stupid problem but I can't find it on this forum though with the search option.

    So, I just upgraded to GMS 2 today, Mobile edition. I imported a project to it, from 1.4 that I was working on and tried running it, and got the following error:
    "System.Exception: Error : The selected Architecture options do not support this device. Please add Armv5"

    I then tried to make a blank project that had no content to it other than a room with a simple background, and got the same error message. I have also gone into the options for the program, but there is no Armv5 option, only Armv7.

    Last bit of the puzzle, I am using the suggested install, so using Android Studio as a Virtual Machine to test it, and I can not rule out that I might not have screwed up that.

    Thank you again for your time all
     
  2. rIKmAN

    rIKmAN Member

    Joined:
    Sep 6, 2016
    Posts:
    4,317
    Check out some of these threads which were found by using the search in the top right of the forum.

    It seems to be related to the device not being detected / locked etc.

    If you are using a virtual device and not a real phone (which is what I assume you mean when you mention using “Android Studio as a VM”) then it would suggest there are some issues with the virtual device settings that are causing the issue.
     
    Last edited: Feb 8, 2019
  3. Bariard

    Bariard Member

    Joined:
    Jan 23, 2019
    Posts:
    7
    I have looked through most of those and none seem to really address the issue that I am unable to bring up any means of testing? I don't care about using Armv5, I would be happy to use Armv7 or any other settings at the moment, but as stated, even with a brand new project, it can not compile a blank project? Unless I am missing something incredibly rookie here.
     
  4. rIKmAN

    rIKmAN Member

    Joined:
    Sep 6, 2016
    Posts:
    4,317
    Are you using an actual device?
    Have you followed the Android setup guide?
    Are you using the correct / suggested version of the NDK, JDK etc?
     
  5. Bariard

    Bariard Member

    Joined:
    Jan 23, 2019
    Posts:
    7
  6. rIKmAN

    rIKmAN Member

    Joined:
    Sep 6, 2016
    Posts:
    4,317
    I don’t have any experience with using virtual devices instead of actual hardware so I can’t help much with that, sorry.

    Hopefully someone who has used / does use them will see this and be able to offer to useful advice.
     
    Bariard likes this.
  7. Nocturne

    Nocturne Friendly Tyrant Forum Staff Admin

    Joined:
    Apr 13, 2016
    Posts:
    6,767
    GMS2 can't compile to ARMv5 (nor MIPS), as that is now considered an obsolete architecture and the Andoird NDK no longer suppots them. Use ARMv7 instead.
     
  8. Bariard

    Bariard Member

    Joined:
    Jan 23, 2019
    Posts:
    7
    ARMv7 doesn't work? I want to use ARMv7 but the program keeps throwing the error which says to install ARMv5.

    Have been testing this however, and have been able to compile, and upload these to my tablet and get the programs to work, so it seems that the files are all there it just can't figure out how to show them off the tablet. If need be, I at least have a work around now.
     
  9. Nocturne

    Nocturne Friendly Tyrant Forum Staff Admin

    Joined:
    Apr 13, 2016
    Posts:
    6,767
    Make sure the VM device uses the ARMv7 (or x86/x86_64 or ARM64) architecture.
     
  10. Bariard

    Bariard Member

    Joined:
    Jan 23, 2019
    Posts:
    7
    Making this post in case someone else comes across the same message as myself.

    I can confirm the ARMv5 error message came as a result of it not reading the Virtual Machine right, or the Virtual Machine not loading properly. Upon connecting my physical tablet to it and connecting that up, that error message went away.
     
  11. Carloskhard

    Carloskhard Member

    Joined:
    Mar 13, 2017
    Posts:
    183
    I'm had the same issue altough I was using a real device.My problem got solved after I changed I particle system name that was incorrect and someone that was creating that error. I think YYG should perfect a little bit the system for showing errors since this was so confusing for me(Sorry for my bad explanations,I don't speak very well english).
    Hope that help someone
     
    Last edited: Mar 17, 2019

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice